<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
define("THUMB", 1);

$inc = substr(dirname(__FILE__), 0, -6) . "";
$dir = getcwd();

if(defined('BASE_DIR')) exit;
define("BASE_DIR", $inc);

include_once("$inc/config/db.config.php");
include_once("$inc/class/Database.Class.php");
include_once(BASE_DIR . '/functions/Func.Session.php');

session_start();
session_name('SID');

include_once("$inc/functions/Func.Globals.php");

define("PREFIX", $config['dbprefix']);

$GLOBALS['db'] = new DB($config['dbhost'], $config['dbuser'], $config['dbpass'], $config['dbname']);
$row        = $GLOBALS['db']->RowQuery('SELECT Kommentare_IconBreite FROM ' . PREFIX . '_einstellungen');
$thumb_w    = $row->Kommentare_IconBreite; 
$thumb_pre  = 'avatar_';
$w          = $thumb_w;

$image      = eregi_replace('[^-._A-Za-zA-ÖO-öo-y0-9]', '', @$_REQUEST['avatar']);

$_REQUEST['typ'] = (!isset($_REQUEST['typ'])) ? 'default' : $_REQUEST['typ'];
switch($_REQUEST['typ'])
{
	case 'default': $path = 'default/'; break;
	case 'preset': $path = 'preset/'; break;
	case 'own': $path = ''; break;
}

if(empty($_REQUEST['avatar']) || !file_exists(BASE_DIR . '/uploads/avatars/' . $path . $image)) exit;
$end = substr($image, -4);

// Erzeugung der Bild - Id
// Existiert das Bild im Cache, wird es einfach ausgelesen
$uid = $thumb_pre . $image;
$q = BASE_DIR . '/uploads/avatars/' . $path . $image;

switch($end)
{
	case '.jpg':
	$quelle = imagecreatefromjpeg($q);
	header ("Content-type: image/jpeg");
	break;
	
	case '.png':
	$quelle = imagecreatefrompng($q);
	header ("Content-type: image/png");
	break;

	case '.gif':
	$quelle = @imagecreatefromgif($q);
	header ("Content-type: image/gif");
	break;
	
	default:
	$quelle = imagecreatefromjpeg($q);
	header ("Content-type: image/jpeg");
	break;
}

if(file_exists(BASE_DIR . '/cache/'.$uid))
{
	//readfile(BASE_DIR . '/cache/'.$uid);
	//exit;
}


$sz        = $thumb_w;
$im_width  = imagesx($quelle);
$im_height = imagesy($quelle);
$factor    = $sz / $im_width;
$w         = $sz;
$h         = $im_height * $factor;

if (function_exists('imagecreatetruecolor'))
{
    $ziel = imagecreatetruecolor($w, $h);
	$ziel_bg = imagecolorallocate($ziel,255,255,255);
	imagefill($ziel , 0, 0, $ziel_bg);
} else {
    $ziel = imagecreate($w, $h);
} 

if(function_exists('imagecopyresampled'))
{
	@imagecopyresampled($ziel, $quelle, 0, 0, 0, 0, $w, $h, imagesx($quelle), imagesy($quelle));
} else {
	@imagecopyresized($ziel, $quelle, 0, 0, 0, 0, $w, $h, imagesx($quelle), imagesy($quelle));
}


ob_start();
switch($end)
{
	case '.jpg':
	$bild = @imagejpeg($ziel, "", 80);
	break;

	case '.png':
	$bild = @imagepng($ziel);
	break;
	
	case '.gif':
	$bild = @imagegif($ziel, "", 80);
	break;
	
	default:
	$bild = $quelle;
	break;
}

$a = ob_get_contents();
ob_end_clean();
/*
$fp = fopen(BASE_DIR . "/cache/".$uid, "wb+");
fwrite($fp, $a);
fclose($fp);
*/
echo $a;
exit();

?>